package com.lz.modules.flow.req;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流程节点权限对应关系表
* @author quyixiao
* @since 2020-10-16
*/


@Data
@ApiModel(value = "流程节点权限对应关系Req")
public class FlowChartRoleReq implements java.io.Serializable {
  
    @ApiModelProperty(value = "currPage", name = "当前页码")
    private int currPage = 1;
    @ApiModelProperty(value = "pageSize", name = "每页返回条数")
    private int pageSize = 10;
    @ApiModelProperty(value = "sort", name = "类型")
    private String sort;
    @ApiModelProperty(value = "order", name = "排序")
    private String order;
    //
    private Long id;
    //
    @ApiModelProperty(value = "", name = "isDelete")
    private Integer isDelete;
    //
    @ApiModelProperty(value = "", name = "gmtCreate")
    private Date gmtCreate;
    //
    @ApiModelProperty(value = "", name = "gmtModified")
    private Date gmtModified;
    //flow_chart表中id
    @ApiModelProperty(value = "flow_chart表中id", name = "chartId")
    private Long chartId;
    //角色id
    @ApiModelProperty(value = "角色id", name = "roleId")
    private Long roleId;
    //1默认权限，必带权限，不可修改权限，0可选权限
    @ApiModelProperty(value = "1默认权限，必带权限，不可修改权限，0可选权限，2被考核人默认权限，必带权限", name = "type")
    private Integer type;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     *  
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     *  
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     *  
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     *  
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * flow_chart表中id 
     * @return
     */
    public Long getChartId() {
        return chartId;
    }
    /**
     * flow_chart表中id 
     * @param chartId
     */
    public void setChartId(Long chartId) {
        this.chartId = chartId;
    }

    /**
     * 角色id 
     * @return
     */
    public Long getRoleId() {
        return roleId;
    }
    /**
     * 角色id 
     * @param roleId
     */
    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    /**
     * 1默认权限，必带权限，不可修改权限，0可选权限 
     * @return
     */
    public Integer getType() {
        return type;
    }
    /**
     * 1默认权限，必带权限，不可修改权限，0可选权限 
     * @param type
     */
    public void setType(Integer type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return "FlowChartRole{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",chartId=" + chartId +
                ",roleId=" + roleId +
                ",type=" + type +
                "}";
    }
}